package com.yonge.cooleshow.biz.dal.dto.req;

import com.yonge.cooleshow.biz.dal.vo.UserOrderDetailVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 退款请求
 *
 * @Author: liweifan
 * @Data: 2022/3/31 14:55
 */
@ApiModel(value = "OrderRefundReq对象", description = "退款请求")
public class OrderRefundReq {

    @ApiModelProperty("订单号 ")
    @NotNull(message = "订单号不能为空")
    private String orderNo;

    @ApiModelProperty("订单详情ids ")
    private List<Long> oredrDetilIds;

    @ApiModelProperty(value = "退款说明 ")
    private String reason;

    @ApiModelProperty(hidden = true)
    private Long userId;
    @ApiModelProperty(hidden = true)
    private Long orderId;
    @ApiModelProperty(hidden = true)
    private UserOrderDetailVo oredrDetil;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public List<Long> getOredrDetilIds() {
        return oredrDetilIds;
    }

    public void setOredrDetilIds(List<Long> oredrDetilIds) {
        this.oredrDetilIds = oredrDetilIds;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public UserOrderDetailVo getOredrDetil() {
        return oredrDetil;
    }

    public void setOredrDetil(UserOrderDetailVo oredrDetil) {
        this.oredrDetil = oredrDetil;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }
}
